# cv::RTreeNode Struct Reference

`#include <features2d.hpp>`

List of all members.

## Public Member Functions

bool | operator() (uchar *patch_data) const
| Left child on 0, right child on 1.
| RTreeNode ()
| RTreeNode (uchar x1, uchar y1, uchar x2, uchar y2)

## Public Attributes

short | offset1
short | offset2

## Constructor & Destructor Documentation

cv::RTreeNode::RTreeNode | ( | ) | `[inline]`

cv::RTreeNode::RTreeNode | ( | uchar | x1,
|  | uchar | y1,
|  | uchar | x2,
|  | uchar | y2
| ) |  | `[inline]`

## Member Function Documentation

bool cv::RTreeNode::operator() | ( | uchar * | patch_data ) | const`[inline]`

Left child on 0, right child on 1.

## Member Data Documentation

short cv::RTreeNode::offset1

short cv::RTreeNode::offset2

The documentation for this struct was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines